org.apache.olingo.server.api.deserializer.batch

## Class ODataResponsePart

- java.lang.Object
- - org.apache.olingo.server.api.deserializer.batch.ODataResponsePart

-     public class ODataResponsePart
      extends Object

  An ODataResponsePart represents a collection of ODataResponses. A list of ODataResponseParts can be combined by the BatchSerializer to a single OData batch response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataResponsePart(List<ODataResponse> responses, boolean isChangeSet)` Creates a new ODataResponsePart.
    `ODataResponsePart(ODataResponse response, boolean isChangeSet)` Creates a new ODataResponsePart.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ODataResponse>` | `getResponses()` Returns a collection of ODataResponses.
    `boolean` | `isChangeSet()` Returns true if the current instance represents a change set.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataResponsePart

          public ODataResponsePart(List<ODataResponse> responses,
                                   boolean isChangeSet)

      Creates a new ODataResponsePart. An ODataResponsePart represents a collection of ODataResponses. A list of ODataResponseParts can be combined by the BatchSerializer to a single OData batch response.
      Parameters:
        `responses` - A list of `ODataResponse`
        `isChangeSet` - whether this ODataResponsePart represents a change set

    - #### ODataResponsePart

          public ODataResponsePart(ODataResponse response,
                                   boolean isChangeSet)

      Creates a new ODataResponsePart. An ODataResponsePart represents a collection of ODataResponses. A list of ODataResponseParts can be combined by the BatchSerializer to a single OData batch response.
      Parameters:
        `response` - A single `ODataResponse`
        `isChangeSet` - whether this ODataResponsePart represents a change set

  - ### Method Detail

    - #### getResponses

          public List<ODataResponse> getResponses()

      Returns a collection of ODataResponses. Each collection contains at least one `ODataResponse`. If this instance represents a change set, there may be many ODataResponses.
      Returns:
        a list of `ODataResponse`

    - #### isChangeSet

          public boolean isChangeSet()

      Returns true if the current instance represents a change set.
      Returns:
        true or false

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.